package com.hai.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 加油自建站模型
 * @author hurui
 */
public class GasSelfBuiltStationModel {

    private Long storeId;
    private Long storeMerId;
    private String storeMerName;

    private Long companyId;
    private String companyName;

    private Long regionId;
    private String regionName;

    private String storeKey;
    private String storeName;
    private String storeAddress;
    private Integer storePrestoreType;
    private BigDecimal amounts;
    private BigDecimal amountsEarlyWarning;
    private Integer amountsEarlyWarningStatus;
    private Date storeCreateTime;

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getStoreMerId() {
        return storeMerId;
    }

    public void setStoreMerId(Long storeMerId) {
        this.storeMerId = storeMerId;
    }

    public String getStoreMerName() {
        return storeMerName;
    }

    public void setStoreMerName(String storeMerName) {
        this.storeMerName = storeMerName;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStoreKey() {
        return storeKey;
    }

    public void setStoreKey(String storeKey) {
        this.storeKey = storeKey;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreAddress() {
        return storeAddress;
    }

    public void setStoreAddress(String storeAddress) {
        this.storeAddress = storeAddress;
    }

    public Integer getStorePrestoreType() {
        return storePrestoreType;
    }

    public void setStorePrestoreType(Integer storePrestoreType) {
        this.storePrestoreType = storePrestoreType;
    }

    public BigDecimal getAmounts() {
        return amounts;
    }

    public void setAmounts(BigDecimal amounts) {
        this.amounts = amounts;
    }

    public BigDecimal getAmountsEarlyWarning() {
        return amountsEarlyWarning;
    }

    public void setAmountsEarlyWarning(BigDecimal amountsEarlyWarning) {
        this.amountsEarlyWarning = amountsEarlyWarning;
    }

    public Integer getAmountsEarlyWarningStatus() {
        return amountsEarlyWarningStatus;
    }

    public void setAmountsEarlyWarningStatus(Integer amountsEarlyWarningStatus) {
        this.amountsEarlyWarningStatus = amountsEarlyWarningStatus;
    }

    public Date getStoreCreateTime() {
        return storeCreateTime;
    }

    public void setStoreCreateTime(Date storeCreateTime) {
        this.storeCreateTime = storeCreateTime;
    }
}
